PROFTMB(1)

NAME
proftmb - per-residue prediction of bacterial transmembrane beta barrels

SYNOPSIS
proftmb [options]

DESCRIPTION
proftmb predicts bacterial transmembrane beta barrels from sequence using profile fed Hidden Markov Models (HMM).

  Output format
Self-annotating. Letters of prediction: 'i' - inside cytoplasm, 'O' - outside cytoplasm, 'U' - up (on chain moving out of cytoplasm), 'D' - down (on chain moving into cytoplasm).

  References

Bigelow, H. and Rost, B. (2006). PROFtmb: a web server for predicting bacterial transmembrane beta barrel proteins. Nucleic Acids Res, 34(Web Server issue), W186-8.

  To invoke the menu, type:

    proftmb --menu

  The options are:

-d, --directory-root <STRING>
    root path where files (options -s,-r,-l,-a,-e,-t,-u,-z,-n) reside

-a, --reduction-state-decode <STRING>
    state reduction for decoding

-b, --reduction-state-report <STRING>
    state reduction for reporting

-m, --membrane-strand-states <STRING>
    list of membrane strand states

-z, --z-curve-file
    <STRING> file containing means and sd's at integral length values

-x, --z-calibration-curve <STRING>
    file mapping coverage and accuracy values to z-scores

-n, --null-frequency <STRING>
    background frequency file

-c, --minimum-score-cutoff <DOUBLE>
    minimum z-score for per-residue prediction

-o, --outfile-prefix <STRING>
    output file prefix for the three files generated: PREFIX_dat.txt, PREFIX_proftmb_pretty.txt PREFIX_proftmb_tabular.txt

-s, --static-model-data <STRING>
    data representing the model architecture

-t, --trained-params <STRING>
    params representing the encoded training data

-q, --test-blastQ-file-or-dir <STRING>
    psiblast profile (-Q) or directory (full pathname or relative to current directory) with many profiles

-w, --single-sequence-name <STRING>
    if -q option points to a single file, this is the name

-v, --list-blastQ-files <STRING>
    list of psiblast files to process in directory (leave blank to process all files)

--outfile-pretty <STRING>
    pretty output file (overrides automatic name PREFIX_proftmb_pretty.txt)

--outfile-tab
    <STRING> tabulated output file (overrides automatic name PREFIX_proftmb_tabular.txt)

--outfile-dat
    <STRING> data output file (overrides automatic name PREFIX_dat.txt)

--version
    <BOOL> output version information and exit

--quiet
    <BOOL> be quiet

EXAMPLES
 proftmb @/usr/share/proftmb/options -q /usr/share/doc/proftmb/examples/example.Q -o /tmp/example

The above produces 3 output files: /tmp/example_proftmb_tabular.txt, /tmp/example_proftmb_pretty.txt and /tmp/example_dat.txt. Compare these to the examples in /usr/share/doc/proftmb/examples.

BUGS
Please report bugs at <https://rostlab.org/bugzilla3/enter_bug.cgi?product=proftmb>.

COPYRIGHT
Copyright © 2004 Henry Bigelow

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.